<template lang="pug">
    div.bg-fafafa
        div.a4.mx-auto.elevation-5.bg-ffffff.mt-3
            div.wrapper.ma-3
                div.row.mx-4.pt-4
                    div.col-4.border
                        small Project Code
                        div.text-center.w-100
                            | {{getAProject.data.attributes.code}}
                    div.col-2.border.border-left-0
                        small Trench
                        div.text-center.w-100
                            | {{getATrench.data.attributes.number}}
                    div.col-2.border.border-left-0
                        small Context Type
                        div.text-center.w-100
                            | SKELETON
                    div.col-2.border.border-left-0
                        small Site Code
                        div.text-center.w-100
                            | {{getASite.data.attributes.number}}
                    div.col-2.border.border-left-0
                        small Context
                        div.text-center.w-100
                            | {{getASkeleton.data.attributes.context.number}}
                div.row.mx-4
                    div.col-6.border.border-top-0
                        | Grave:
                        | {{getASkeleton.data.attributes.details.grave}}
                    div.col-6.border.border-top-0
                        | Coffin:
                        | {{getASkeleton.data.attributes.details.coffin}}
                div.row.mx-4
                    div.col-12.border.border-top-0
                        | Orientation:
                        br
                        | {{getASkeleton.data.attributes.details.orientation}}
                        br
                        | Attitude of Body:
                        | {{getASkeleton.data.attributes.details.body}}
                        br
                        | Right arm, Location of Right Hand:
                        | {{getASkeleton.data.attributes.details.right_arm_hand}}
                        br
                        | Left arm, Location of Left Hand
                        | {{getASkeleton.data.attributes.details.left_arm_hand}}
                        br
                        | Right Leg:
                        | {{getASkeleton.data.attributes.details.right_leg}}
                        br
                        | Left Leg
                        | {{getASkeleton.data.attributes.details.left_leg}}
                        br
                        | Feet
                        | {{getASkeleton.data.attributes.details.feet}}
                        br
                        | Extent of Insitu bone Degreneration:
                        | {{getASkeleton.data.attributes.details.degeneration_in_situ}}
                        br
                        | State of Bone After Lifting
                        | {{getASkeleton.data.attributes.details.degeneration_post_lift}}
                        br
                        | Other Comments
                        | {{getASkeleton.data.attributes.details.comments}}
                div.row.mx-4
                    div.col-12.border.border-top-0
                        | Stratigraphic Matrix
                        br
                        span.hover-delete.mx-1.border.p-1.pointer(v-for="(context, index) in getASkeleton.data.attributes.aboves")
                            | {{context.above}}
                        hr
                        div.row.mx-0
                            | This context is:
                            span.mx-auto.border.p-1 {{getASkeleton.data.attributes.context.number}}
                        hr
                        span.hover-delete.mx-1.border.p-1.pointer(v-for="(context, index) in getASkeleton.data.attributes.belows")
                            | {{context.below}}
                div.row.mx-4
                    div.col-4.border.border-top-0
                        | Plan Nos:
                    div.col-4.border.border-top-0.border-left-0
                        | Site book refs:
                    div.col-4.border.border-top-0.border-left-0
                        | Recorded By: {{getASkeleton.data.attributes.context.recorded_by}}
                div.row.mx-4
                    div.col-4.border.border-top-0
                        | Other Drawings:
                    div.col-4.border.border-top-0.border-left-0
                        | Matrix Location:
                    div.col-4.border.border-top-0.border-left-0
                        | Recorded Date:
                        span.float-right
                            | {{getASkeleton.data.attributes.context.recorded_date}}
                div.row.mx-4
                    div.col-8.border.border-top-0
                        | Photographs:
                        span(v-for="photo in getASkeleton.data.attributes.photos") {{photo}
                    div.col-4.border.border-top-0.border-left-0
                        | Checked By: {{getASkeleton.data.attributes.context.checked_by}}
                        hr
                        | Checked Date:
                        div.float-right
                            | {{getASkeleton.data.attributes.context.checked_date}}
                div.row.mx-4.pb-1
                    div.col-3.border.border-top-0
                        | Samples
                    small.logo DigABase
</template>

<script>
import { mapGetters } from "vuex";

export default {
    name: "skeleton",
    computed: {
        ...mapGetters({
            getAProject: "project/getAProject",
            getATrench: "trench/getATrench",
            getASite: "site/getASite",
            getASkeleton: "skeleton/getASkeleton"
        })
    }
};
</script>

<style scoped>
.bg-fafafa {
    background: #fafafa;
}
.bg-ffffff {
    background: #ffffff;
}
.a4 {
    width: 70.71%;
    padding-bottom: 100%;
    position: relative;
    font-size: 1.25vw;
}
.wrapper {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}
.border {
    border-style: solid;
    border-width: 2px;
}
.border-top {
    border-top-style: solid;
    border-width: 2px;
}
.border-left {
    border-left-style: solid;
    border-width: 2px;
}
.border-right {
    border-right-style: solid;
    border-width: 2px;
}
.border-bottom {
    border-bottom-style: solid;
    border-width: 2px;
}
.border-top-0 {
    border-top-style: none;
}
.border-left-0 {
    border-left-style: none;
}
.border-right-0 {
    border-right-style: none;
}
.borser-bottom-0 {
    border-bottom-style: none;
}
.logo {
    font-family: "Audiowide", cursive;
}
</style>
